# Gitlab CI Script for astrocyte/rnaseq
# Brandi L. Cantarel - 2017

variables:
  GIT_SUBMODULE_STRATEGY: recursive

before_script:
  - module load nextflow/0.27.6
  - git submodule update --init --recursive
  - git submodule sync --recursive

stages:
  - integration

test_human:
  stage: integration
  script:
    - nextflow run -with-dag flowchart.png -with-timeline human_timeline.html -with-report human_report.html workflow/main.nf --design  /project/shared/bicf_workflow_ref/workflow_testdata/rnaseq/design.rnaseq.txt --input  /project/shared/bicf_workflow_ref/workflow_testdata/rnaseq --output human_output
  artifacts:
    expire_in: 2 days

test_mouse:
  stage: integration
  script:
    - nextflow run -with-dag flowchart.png -with-timeline mouse_timeline.html -with-report mouse_report.html  workflow/main.nf --input  /project/shared/bicf_workflow_ref/workflow_testdata/rnaseq --design /project/shared/bicf_workflow_ref/workflow_testdata/rnaseq/mouse_se.design.txt --pairs se --fusion skip --genome /project/shared/bicf_workflow_ref/GRCm38 --markdups null --output mouse_output
  artifacts:
    expire_in: 2 days
